<!DOCTYPE html>
<html
		xmlns:th="http://www.thymeleaf.org"
		xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
		layout:decorate="~{layouts/admin.html}"
>
<head>
	<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">
		Setting - Foundation
	</title>
	<meta name="_csrf" th:content="${_csrf.token}"/>
	<meta name="_csrf_header" th:content="${_csrf.headerName}"/>
	<script th:inline="javascript">
		function editYayasan(id, name, status, email, user) {

			// Populate form data
			document.getElementById('foundationName').value = name;
			document.getElementById('foundationId').value = id;
			document.getElementById('email').value = email;
			document.getElementById('name').value = user;
			document.getElementById('cancel-button').style.display = 'block';
		}

		function cancelEdit() {
			document.getElementById('foundationName').value = '';
			document.getElementById('foundationId').value = '';
			document.getElementById('email').value = '';
			document.getElementById('name').value = '';
			document.getElementById('cancel-button').style.display = 'none';
		}

		async function updateStatus(id, status){
			const csrfToken = document.querySelector('meta[name="_csrf"]').getAttribute('content');
			const csrfHeader = document.querySelector('meta[name="_csrf_header"]').getAttribute('content');

			try {
				const response = await fetch(`/setting/foundation/${id}`, {
					method: 'PUT',
					headers: {
						'Content-Type': 'application/json',
						[csrfHeader]: csrfToken
					},
					body: JSON.stringify({ id: id, status: status ? 'ACTIVE' : 'INACTIVE' }),
				});

				if (!response.ok) {
					throw new Error('Failed to update status');
				}
			} catch (error) {
				console.error(error);
				// Optionally revert the checkbox state if the update failed
				document.querySelector(`input[data-id='${id}']`).checked = !status;
			}

		}
	</script>
</head>
<body layout:fragment="content">
<div class="container mx-auto px-4 mb-6 mt-6 space-y-6">
	<!-- form -->
	<div th:replace="~{setting/foundation/partials/form.html :: form}"></div>
	<div class="rounded-xl shadow bg-white dark:bg-gray-800">
		<!-- table header -->
		<div
				th:replace="~{setting/foundation/partials/table-header.html :: tableHeader}"
		></div>
		<!-- table -->
		<div
				th:replace="~{setting/foundation/partials/table.html :: table}"
		></div>
		<!-- table footer -->
		<div
				th:replace="~{setting/foundation/partials/table-footer.html :: tableFooter}"
		></div>
	</div>
</div>
</body>
</html>
